## ?zip=xbins_xbox_mirror%2FPC+Based+Applications%2Fmanagers%2Fxbgmsharp

=== src/Makefile ===
#
# Makefile.am for xbgmsharp.exe
#
# Authors:
#   Francois Lacroix (xbgm@kayaweed.net)
#

MCS=mcs
MONORESGEN=monoresgen

SOURCES_TEXT = \
./AssemblyInfo.cs \
./Main.cs \
./MyText.cs \
./Translation.cs \
./FTP/FTPClient.cs \
./FTP/FTPControlSocket.cs \
./FTP/FTPException.cs \
./FTP/FTPReply.cs \
./Xiso/xisoinfo.cs \
./Xiso/xisothread2.cs \
./Core/FtpToXbox.cs \
./Core/ZipExtract.cs \
./Core/FtpLogger.cs \
./Core/Parser.cs \
./Core/ConfigXml.cs \
./Core/CheckEnvOS.cs \
./Core/Messages.cs \
./Core/GameInfo.cs \
./Config.cs \
./File/FileData.cs \
./File/FileExplorer.cs \
./File/Filethread.cs

SOURCES = \
./AssemblyInfo.cs \
./Main.cs \
./Translation.cs \
./FTP/FTPClient.cs \
./FTP/FTPControlSocket.cs \
./FTP/FTPException.cs \
./FTP/FTPReply.cs \
./FTP/FTPFile.cs \
./FTP/FTPFileParser.cs \
./FTP/FTPUnixFilePaser.cs \
./Dialog/DeleteDialog.cs \
./Dialog/RenameDialog.cs \
./Dialog/AboutDialog.cs \
./Dialog/Popup.cs \
./Dialog/ChooserDialog.cs \
./Xiso/xisoinfo.cs \
./Xiso/xpr2dds2bmp.cs \
./Xiso/xisothread2.cs \
./Core/Export.cs \
./Core/FtpToXbox.cs \
./Core/Messages.cs \
./Core/Parser.cs \
./Core/ZipExtract.cs \
./Core/GameInfo.cs \
./Core/FtpLogger.cs \
./Core/ConfigXml.cs \
./Core/CheckEnvOS.cs \
./Core/Savegame.cs \
./Core/SaveXml.cs \
./Core/ZipCompress.cs \
./Config.cs \
./Gladegui.cs \
./Dialog/PrefGaldeDialog.cs \
./Dialog/UploadDirGladeDialog.cs \
./Dialog/ProgressUploadDirGlade.cs \
./Dialog/ProgressDialogGlade.cs \
./Dialog/ToolbarGlade.cs \
./Dialog/ExportDialogGlade.cs \
./File/FileData.cs \
./File/FileExplorer.cs \
./File/Filethread.cs

SOURCES_GUI = \
./AssemblyInfo.cs \
./MyMain.cs \
./MyWindow.cs \
./Translation.cs \
./FTP/FTPClient.cs \
./FTP/FTPControlSocket.cs \
./FTP/FTPException.cs \
./FTP/FTPReply.cs \
./Dialog/DeleteDialog.cs \
./Dialog/RenameDialog.cs \
./Dialog/AboutDialog.cs \
./Dialog/ProgressDialogGlade.cs \
./Dialog/Popup.cs \
./Dialog/Toolbar.cs \
./Dialog/ChooserDialog.cs \
./Xiso/xisoinfo.cs \
./Xiso/xisothread2.cs \
./Core/Export.cs \
./Core/FtpToXbox.cs \
./Core/Messages.cs \
./Core/Parser.cs \
./Core/ZipExtract.cs \
./Core/GameInfo.cs \
./Core/FtpLogger.cs \
./Core/ConfigXml.cs \
./Core/CheckEnvOS.cs \
./Config.cs \
./Dialog/PrefGaldeDialog.cs \
./Dialog/UploadDirGladeDialog.cs \
./Dialog/ProgressUploadDirGlade.cs \
./File/FileData.cs \
./File/FileExplorer.cs \
./File/Filethread.cs

RESOURCES_GUI = \
./pixmap/reboot.png \
./pixmap/shutdown.png \
./pixmap/infoicon.png \
./pixmap/xbgmicon.ico \
./pixmap/edit.png \
./pixmap/play.png \
./pixmap/xbgmsharp.png \
./pixmap/xbgmicon.png \
./pixmap/xbmc.png \
./pixmap/xbox.png \
./pref.glade \
./Glade/uploaddir.glade \
$(STRINGFILES)

RESOURCES = \
./pixmap/reboot.png \
./pixmap/shutdown.png \
./pixmap/infoicon.png \
./pixmap/xbgmicon.ico \
./pixmap/edit.png \
./pixmap/play.png \
./pixmap/xbgmsharp.png \
./pixmap/xbgmicon.png \
./pixmap/xbmc.png \
./pixmap/xbox.png \
./pref.glade \
./Glade/uploaddir.glade \
./xbgmgui.glade \
$(STRINGFILES)

STRINGFILES= String/strings.resources \
	 String/strings.fr.resources \
	 String/strings.de.resources

CLEANFILES = String/*.resources
	 
RESOURCES_BUILD = $(foreach res,$(RESOURCES), $(addprefix -resource:,$(res)),$(notdir $(res)))

RESOURCES_BUILD_GUI = $(foreach res,$(RESOURCES_GUI), $(addprefix -resource:,$(res)),$(notdir $(res)))

PKG_REFERENCES = \
	gtk-sharp-2.0 \
	glade-sharp-2.0

PKG_REFERENCES_BUILD = $(addprefix -pkg:, $(PKG_REFERENCES))

PKG_REFERENCES_CHECK = $(addsuffix .pkgcheck, $(PKG_REFERENCES))

SYSTEM_REFERENCES = \
System.Data.dll \
System.Drawing.dll \
ICSharpCode.SharpZipLib.dll

SYSTEM_REFERENCES_BUILD = $(addprefix -r:, $(SYSTEM_REFERENCES))

SYSTEM_REFERENCES_CHECK = $(addsuffix .check, $(SYSTEM_REFERENCES))

CLEANFILES = String/*.resources

#MCS_OPTIONS = -d:DEBUG
MCS_OPTIONS = -d:DEBUG -d:GUI
MCS_OPTIONS_GUI = -d:DEBUG -d:GUI
MCS_OPTIONS_TEXT = -d:DEBUG -d:TEXT

all: xbgmsharp.exe

text: $(SOURCES_TEXT) $(STRINGFILES)
	$(MCS) $(MCS_OPTIONS_TEXT) -target:exe -out:"xbgmsharp.exe" -r:Mono.GetOptions $(SYSTEM_REFERENCES_BUILD) $(SOURCES_TEXT) 

gui: $(SOURCES_GUI) $(RESOURCES_GUI) $(STRINGFILES)
	$(MCS) $(MCS_OPTIONS_GUI) -target:exe -out:"xbgmsharp.exe" $(RESOURCES_BUILD_GUI) $(PKG_REFERENCES_BUILD) $(SYSTEM_REFERENCES_BUILD) $(SOURCES_GUI)

xbgmsharp.exe: $(SOURCES) $(RESOURCES) $(STRINGFILES)
	$(MCS) $(MCS_OPTIONS) /nowarn:169,612,618 -target:exe -out:"xbgmsharp.exe" $(RESOURCES_BUILD) $(PKG_REFERENCES_BUILD) $(SYSTEM_REFERENCES_BUILD) $(SOURCES) 

resources/strings.txt: $(SOURCES)
	perl getstrings.pl ./Dialog/Toolbar.cs > String/strings.txt

depcheck: PKG_depcheck SYSTEM_depcheck

PKG_depcheck: $(PKG_REFERENCES_CHECK)

%.pkgcheck:
	@echo -n Checking for package $(subst .pkgcheck,,$@)...
	@if pkg-config --libs $(subst .pkgcheck,,$@) &> /dev/null; then \
		echo yes; \
	else \
		echo no; \
		exit 1; \
	fi

SYSTEM_depcheck: $(SYSTEM_REFERENCES_CHECK)

%.check:
	@echo -n Checking for $(subst .check,,$@)...
	@if [ ! -e `pkg-config --variable=libdir mono`/mono/2.0/$(subst .check,,$@) ]; then \
		echo no; \
		exit 1; \
	else \
		echo yes; \
	fi

resources/strings.resources: String/strings.txt

resources/strings.fr.resources: String/strings.fr.txt

%.resources: %.txt
    $(MONORESGEN) $< || (echo -e "\nERROR: You should either" \
		"enable binfmt-misc with mono support or define \n" \
		"RUNTIME=mono and MONORESGEN=yourpathto/monoresgen.exe\n" \
		&& exit 1)

clean:
	rm -f xbgmsharp.exe xbgmsharp.exe.mdb

purge: clean
	$(CLEANFILES)

=== debian/changelog ===
xbgmsharp (0.9.1.0-26) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Tue, 26 Dec 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-15) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Tue, 31 Oct 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-10) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 24 Oct 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-5) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 19 Sept 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-2) unstable; urgency=low

  * CVS update.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 12 Sept 2006 21:10:41 -0400

xbgmsharp (0.9.1.0-1) unstable; urgency=low

  * mono-assemblies-base needed by the package is now remplaced by mono-classlib-1.0 in this new version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 30 Aug 2006 21:10:41 -0400

xbgmsharp (0.9.0.7-1) unstable; urgency=low

  * New upstream version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 24 Avr 2006 21:10:41 -0400

xbgmsharp (0.9.0-1) unstable; urgency=low

  * New upstream version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Sun, 24 Jul 2005 21:10:41 -0400

xbgmsharp (0.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Francois Lacroix <xbgm@kayaweed.net>  Fri, 17 Jun 2005 21:10:41 -0400
 

xbgmsharp (0.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Pascal Giard <pascal@debian.org>  Fri, 22 Apr 2005 21:10:41 -0400

xbgmsharp (0.7-1) unstable; urgency=low

  * Initial release of unofficial package.

 -- Pascal Giard <pascal@debian.org>  Mon, 14 Mar 2005 01:16:59 -0500
Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xbgmsharp
Section: utils
Priority: optional
Maintainer: Pascal Giard <pascal@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>=4), libglade2.0-cil, libgtk2.0-cil, libglib2.0-cil, libmono-dev, mono-assemblies-base, mono-mcs, c-sharp-compiler, mono-jit, libgtk2.0-0, libgtk2.0-dev, libglib2.0-0

Package: xbgmsharp
Architecture: all
Depends: libgtk2.0-cil, libglib2.0-cil, libglade2.0-cil, mono-assemblies-base, mono-jit, gtk-sharp2
Description: xbox game manager
 XBGM# is a game manager for Xbox using Avalaunch dashboard features.
 It allow you to send (extract) xdvdfs (xbox iso) directly to the xbox via
 ftp using a GUI.
 .
 XBGM# can be used with various implementations of the CLI, including .NET,
 Mono, and DotGNU Portable.NET.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_DIR = $(shell pwd)/src
SHARE_DIR = $(shell pwd)/debian/xbgmsharp/usr/share/dotnet
USR_DIR = $(shell pwd)/debian/xbgmsharp/usr
DEBIAN_DIR = $(shell pwd)/debian

INSTALL = install -m 0644 -o root -g root
INSTALL_BIN = install -m 0755 -o root -g root

build: build-stamp

build-stamp:
	dh_testdir
	cd $(SRC_DIR) && $(MAKE)
	touch $@


clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	-cd $(SRC_DIR) && $(MAKE) clean
	dh_clean


install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(INSTALL) $(SRC_DIR)/bin/xbgmsharp.exe $(SHARE_DIR)/xbgmsharp/
	$(INSTALL_BIN) $(DEBIAN_DIR)/xbgmsharp.wrapper $(SHARE_DIR)/bin/xbgmsharp
	$(INSTALL_BIN) $(DEBIAN_DIR)/xbgmsharp.wrapper $(USR_DIR)/bin/xbgmsharp

	touch $@


# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
#	dh_installman 
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
